Plug-ins > PDF Manipulator DC Announcements & Version Updates

PCF Manipulator DC is Now Compatible with macOS 10.13

(1/1)

Admin:
PDF Manipulator DC v 1.0.2.1 is now compatible with macOS 10.13. See below for full version history for this release.

Version History:
- This plug-in is verified compatible with  Mac OS 10.11- 10.13
- Updated demo file

For more information, please visit www.pdfmanipulatordc.com

Navigation

[0] Message Index

Go to full version